#language: ru

@cutting

Функционал: 004. Разруб. Создание списка вариантов разруба

Контекст:
	Дано Я подключаюсь под "Изменение НСИ разруба"

Сценарий: 004.1. Разруб. Создание списка вариантов разруба

	Дано я удаляю объекты "Справочники.к2Разруб_Варианты" без контроля ссылок
	И В командном интерфейсе я выбираю 'Планирование' 'Список вариантов разруба'
	Тогда я жду открытия окна 'Список вариантов разруба' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Варианты разруба (создание)' в течение 20 секунд
	И из выпадающего списка с именем "Владелец" я выбираю по строке 'Индейка'
	И в поле 'Наименование' я ввожу текст 'Вариант разруба индейки'
	И я изменяю флаг 'Основное'
	И в таблице "ВариантыРазруба" я нажимаю на кнопку 'Заполнить по спецификациям'
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' | 
		| 'Индейка'       | 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "1,000"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "1,000"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "100,000"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 	| 
		| 'Тушка индейки'   | 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,850"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,850"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "85,000"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 	| 
		| 'Грудка индейки'  | 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,450"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,450"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "38,250"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 		| 
		| 'Окорочок индейки'  	| 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,350"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,350"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "29,750"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 		| 
		| 'Бедро индейки'  	| 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,600"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,600"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "17,850"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 		| 
		| 'Голень индейки'  	| 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,400"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,400"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "11,900"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 		| 
		| 'Крылышки индейки'  	| 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,200"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,200"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "17,000"
	И в таблице "ВариантыРазруба" я перехожу к строке:
		| 'Представление' 		| 
		| 'Субпродукты индейки'  	| 
	И в таблице "ВариантыРазруба" поле "Норм. выхода" имеет значение "0,150"
	И в таблице "ВариантыРазруба" поле "Спецификация" имеет значение "0,150"
	И в таблице "ВариантыРазруба" поле "Результат, %" имеет значение "15,000"
	И я нажимаю на кнопку 'Записать'
	И я перехожу к закладке "Варианты разруба"
	И в таблице "ВариантыИспользованияСпецификаций" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице "ВариантыИспользованияСпецификаций" я нажимаю на кнопку 'Добавить в запрещенные'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Варианты разруба (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Список вариантов разруба' в течение 20 секунд
	И Я закрываю окно 'Список вариантов разруба'

Сценарий: 004.2. Разруб. Завершение

	И Я закрыл все окна клиентского приложения
	И я закрываю TestClient "Изменение НСИ разруба"